gap (4.11.1-2) unstable; urgency=medium

  * patch disable-test-smallgrp: new:
    - Fix test tst/testinstall/small_groups.tst for newer smallgrp package
      Closes: #1016333. Thanks Lucas Nussbaum
  * debian/watch: bump version.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control: 
    - Build-depends on debhelper-compat (= 13)  
  * debian/control, debian/doc/Makefile, patch doc-makefile
    - add Rules-Requires-Root: no

 -- Bill Allombert <ballombe@debian.org>  Sat, 30 Jul 2022 12:08:52 +0200

gap (4.11.1-1) unstable; urgency=medium

  * New upstream release.
    - patch fix-gac: removed, applied upstream
    - patch fix-test-bigendian: removed, applied upstream
    - patch GenStackFuncBags-mark-NOINLINE: removed, applied upstream
    - patch fix-Makefile: updated
  * debian/watch, debian/tarball: update for new URL scheme
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.6.0
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules, debian.control:
    - revert 'On Ubuntu, gap-core now recommends gap', not needed anymore
  * debian/rules: 
    - fix typo CTblLib -> CtblLib
    - add link /usr/lib/$triplet/gap/gac -> /usr/bin/gac.
      Closes: #987160.  Thanks Jerome Benoit 

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Sep 2021 14:57:15 +0200

gap (4.11.0-5) unstable; urgency=medium

  * debian/doc/gap2man:
    - use mktemp instead of tempfile. Closes: #993722. Thanks Samuel Thibault

 -- Bill Allombert <ballombe@debian.org>  Sat, 18 Sep 2021 11:37:02 +0200

gap (4.11.0-4) unstable; urgency=medium

  * patch:
    - fix-gac: from upstream: gac: link with -export-dynamic
  * debian/control:
    - Update Breaks to account for binNMUs.

 -- Bill Allombert <ballombe@debian.org>  Mon, 04 May 2020 15:04:41 +0200

gap (4.11.0-3) unstable; urgency=medium

  * patch:
    - disable-test-nanoseconds: do not assume hires timer is available.
  * gap2deb: 
    - read TestFile field
    - fix generation of doc-base Files field.
  * debian/doc/gap2man: Update copyright date
  * debian/doc/gac.1: Update copyright date
  * debian/control: Remove useless Breaks on gap-scscp and gap-openmath

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2020 21:40:07 +0200

gap (4.11.0-2) unstable; urgency=low

  * patches:
    - remove-infopackage-warning: new version by Christopher Jefferson.
    - GenStackFuncBags-mark-NOINLINE: added: fix inlining issue.
  * debian/control:
    - libgap-dev, libgap7: Replaces gap-dev (<< 4.11.0)
    - Remove outdated Replaces.
    - Update Breaks:
  * debian/rules: test using "make check"
  * On Ubuntu, gap-core now recommends gap to work around command-not-found
    bad suggestion.

 -- Bill Allombert <ballombe@debian.org>  Wed, 15 Apr 2020 16:42:09 +0200

gap (4.11.0-1) experimental; urgency=low

  * New upstream release
    - patch doc-Makefile: remove changes.pdf
    - patch fix-Makefile: partially applied upstream
    - patch add-soname: provided by upstream
  * debian/gap-doc.doc-base.changes, debian/rules:
    - changes.pdf replaced by CHANGES.md
  * debian/changelog, debian/watch:
    - Switch to x.y.z version numbering. Thanks to Max Horn for his advice.
  * debian/tarball, debian/README.source
    - update upstream tarball name (gap-*-core.zip).
  * debian/watch, debian/gap2deb:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.5.0
    - Bump dephelper version to 12
    - Build-Depends on debhelper-compat (= 12)
  * debian/control:
    - Remove Build-Depends on autotools-dev, implied by debhelper.
    - gap-core: Provides: gap-kernel-7
  * debian/control, debian/rules:
    - add new packages libgap7, libgap-dev. Closes: #951275.
  * debian/compat: removed
  * debian/gap2deb, debian/watch:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Sun, 05 Apr 2020 13:47:27 +0200

gap (4r10p2-2) unstable; urgency=medium

  * Source-only upload
  * debian/control: update Breaks:

 -- Bill Allombert <ballombe@debian.org>  Sat, 20 Jul 2019 17:23:20 +0200

gap (4r10p2-1) unstable; urgency=medium

  * New upstream release. Patches:
    - fix-make_doc: removed, merged upstream
    - sage-1-pr-3102, sage-2-kernel-add-helper, sage-3-Prototype-for-GAP: 
      removed, merged upstream
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.4.0

 -- Bill Allombert <ballombe@debian.org>  Tue, 09 Jul 2019 12:57:33 +0200

gap (4r10p0-7) unstable; urgency=medium

  * New patch:
    - sage-1-pr-3102: from upstream for sage support. Closes: #919679
  * debian/control, debian/rules
    - add Build-Depends-Indep on gap-table-of-marks

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2019 12:19:06 +0100

gap (4r10p0-6) unstable; urgency=medium

  * New patch:
    - fix-libtool: Make libtool reproducible
  * debian/rules, debian/control: do not run libtoolize
  * debian/rules clean: remove file generated by configure

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Jan 2019 23:28:35 +0100

gap (4r10p0-5) unstable; urgency=medium

  * debian/rules: fix reproducibility issues:
    - run libtoolize and set paths in configure

 -- Bill Allombert <ballombe@debian.org>  Sat, 29 Dec 2018 11:58:29 +0100

gap (4r10p0-4) unstable; urgency=medium

  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.3.0
  * debian/control:
    - gap: Update Recommends and Suggests list to reflect available
      GAP packages.
  * debian/rules: restore backward compatibility.
    - add back /usr/lib/gap/bin/$(GAPArch) symlink.
    - add back /usr/include/gap/src symlink.

 -- Bill Allombert <ballombe@debian.org>  Wed, 26 Dec 2018 20:16:59 +0100

gap (4r10p0-3) unstable; urgency=medium

  * New patches
    - fix-make_doc: from upstream: added
    - sage-2-kernel-add-helper: from upstream: for sage support
    - sage-3-Prototype-for-GAP: for sage support. Closes: #916640
  * debian/watch: use dversionmangle. Closes: #915061
  * debian/gap2deb: install manual.lab
  * gap-dev: remove circular symlink
     /usr/lib/gap/src -> /usr/include/gap
  * debian/rules: add support for DEB_BUILD_OPTIONS terse

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Dec 2018 00:22:26 +0100

gap (4r10p0-2) experimental; urgency=medium

  * New patch fix-test-bigendian: fix test on bigendian systems.
  * debian/gap2deb: update
  * gap-dev: add compatibility symlinks
     /usr/lib/gap/gac -> /usr/bin/gac,
     /usr/include/gap/src -> /usr/include/gap

 -- Bill Allombert <ballombe@debian.org>  Mon, 03 Dec 2018 20:53:59 +0100

gap (4r10p0-1) experimental; urgency=medium

  * New upstream release
    - patch fix-compressed-six-files: removed: fixed upstream
    - patches fix-Makefile, gac: updated
  * debian/control:
    - Add Build-Depends on zlib1g-dev
  * debian/rules:
    - Install experimental libgap.so . Closes: #912862
    - The arch-specific gap root is now /usr/lib/<triplet>/gap.
    - Binaries are now in /usr/lib/<triplet>/gap/obj (without bin).

 -- Bill Allombert <ballombe@debian.org>  Mon, 12 Nov 2018 22:05:23 +0100

gap (4r9p3-4) unstable; urgency=medium

  * debian/rules:
    - set LC_CTYPE=C.UTF-8 for tests 
    - support DEB_BUILD_OPTIONS terse.
    - remove duplication in build process.
  * debian/watch, debian/tarball:
    - fix regexp to allow multidigit version field
  * debian/gap2deb: Improve generated debian/rules
  * debian/control: Add Breaks on incompatible version of gap pkgs.

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Nov 2018 22:02:21 +0100

gap (4r9p3-3) unstable; urgency=medium

  * debian/control: fix B-D for test.

 -- Bill Allombert <ballombe@debian.org>  Fri, 09 Nov 2018 23:27:28 +0100

gap (4r9p3-2) unstable; urgency=low

  * patch: fix-makefile: remove -A flag from gap call
  * debian/control: add B-D for tests:
    - add Build-Depends on locales
    - add Build-Depends-Indep on gap-autpgrp, gap-transgrp, gap-primgrp
  * debian/rules:
    - run tests as 'make testinstall'
    - use filter instead of findstring
  * debian/gap2deb:
    - fix detection of README
    - add detection of CHANGES
    - better dh_install rules

 -- Bill Allombert <ballombe@debian.org>  Sat, 03 Nov 2018 16:39:47 +0100

gap (4r9p3-1) experimental; urgency=medium

  * New upstream release. Closes: #909297.
  * patches:
    - fix-sparc64, fix-MY_CLOCK: fixed upstream
    - upstream-env-tmpdir: applied upstream
    - gac: updated
    - fix-makefile: added
    - configure-gapdir, fix-basecc, fix-gaparch: fixed upstream
    - fix-testinstall.g: removed
    - gap-version-repro: fixed upstream
    - no-needed-pkg: added for bootstraping: mark Needed packages as
                     Autoloaded instead
  * debian/tarball: simplified, now use mk-origtargz
  * debian/control:
    - Bump Standards-Version to 4.2.1
    - Replace Recommends gap-trans-groups by gap-transgrp.
    - Replace Recommends gap-small-groups by gap-smallgrp.
    - Replace Recommends gap-prim-groups by gap-primgrp.
  * debian/watch: update
  * debian/gap2deb:
    - fix watch file
    - Bump Standards-Version to 4.2.1
    - add support for README and SOURCE_DATE_EPOCH
  * debian/rules: update for new build system
  * debian/doc/gac.1, debian/doc/gap.1: updated

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Oct 2018 12:31:34 +0200

gap (4r8p8-3) unstable; urgency=medium

  * debian/rules:
    - do not ship obsolete bin/sysinfo.gap file
  * debian/rules, debian/gap2deb:
    - support DEB_BUILD_OPTIONS nocheck. Thanks Helmut Grohne.
      Closes: #890260.
  * debian/control:
    - Mark gap-libs Multi-Arch: foreign

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2018 21:02:33 +0100

gap (4r8p8-2) unstable; urgency=medium

  * debian/control, debian/gap2deb:
    - Bump Standards-Version to 4.1.3
  * debian/control:
    - mark gap-doc Multi-Arch: foreign
  * debian/watch, debian/gap2deb:
    - switch from ftp to https URL.
  * debian/rules:
    - set FORCE_SOURCE_DATE = 1

 -- Bill Allombert <ballombe@debian.org>  Sat, 10 Feb 2018 21:59:03 +0100

gap (4r8p8-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p8 is identical to gap-gdat 4r8p5.
  * debian/control:
    - gap-doc: Recommends gap-gapdoc. Closes: #872250.

 -- Bill Allombert <ballombe@debian.org>  Sat, 16 Sep 2017 23:14:57 +0200

gap (4r8p7-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p7 is identical to gap-gdat 4r8p5.
    - patch upstream-fix-buffering: removed: applied upstream
    - fix-sparc64: added: configure support for sparc64
  * debian/control, debian/compat, debian/gap2deb
    - Bump Standards-Version to 4.0.0
    - Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jul 2017 12:45:51 +0200

gap (4r8p6-2) unstable; urgency=medium

  * New patch:
    - upstream-fix-buffering: from Christopher Jefferson.  Closes: #844789
      Fix a buffering issue after loading a workspace.
  * Add dbgsym packages

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Dec 2016 10:03:11 +0100

gap (4r8p6-1) unstable; urgency=medium

  * New upstream release
    + Note that gap-gdat 4r8p6 is identical to gap-gdat 4r8p5.
    + fix-gzip-stringfile: removed: applied upstream

 -- Bill Allombert <ballombe@debian.org>  Thu, 17 Nov 2016 15:45:52 +0100

gap (4r8p5-1) unstable; urgency=medium

  * New upstream release. New patch:
    + fix-gzip-stringfile: from upstream: fix gzip support in StringFile.

 -- Bill Allombert <ballombe@debian.org>  Wed, 05 Oct 2016 00:38:04 +0200

gap (4r8p4-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r8p4 is identical to gap-gdat 4r8p3.
  * patches:
    - fix-pperm: removed: applied upstream
    - fix-MY_CLOCK: partially merged upstream
    - gac-object: removed: applied upstream
    - remove-infopackage-warning: disable warning for missing packages by
      default.
  * debian/control:
    - gap: Adjust Recommends/Suggests list to include the new packages
      available and to match PackagesToLoad.
  * doc: Fix cross-references to other GAP packages.
    + debian/control:
      - Build-Depends-Indep on gap-character-tables, gap-atlasrep
    + debian/rules:
      - Add links to ctbllib and atlasrep in pkg.

 -- Bill Allombert <ballombe@debian.org>  Wed, 22 Jun 2016 20:53:32 +0200

gap (4r8p3-3) unstable; urgency=low

  * patches:
    - convert.pl-repro: apply fix for SOURCE_DATE_EPOCH from Jerome Benoit.
      Closes: #821302.
    - fix-MY_CLOCK: disable assert related to siginfo on non-linux systems.
  * debian/rules: 
    - fix test-suite failure detection
    - Add support for DEB_BUILD_OPTIONS=notest
    - Install CHANGES as upstream changelog.
  * debian/doc/gap-policy.sgml:
    - Clarify that GAP_CONVERT_DATE is not interpolated.  Closes: #821304.
  * debian/gap2deb: 
    - Install gap2deb in /usr/bin
    - Add manpage.
    - Bump Standards-Version to 3.9.7.
    - Use debian.gap2deb when debian already exists.
  * debian/doc/gap2man, debian/control:
    - Fix generation of manpage and improve output. Closes: #823125
    - move help2man to Build-Depends

 -- Bill Allombert <ballombe@debian.org>  Tue, 03 May 2016 21:36:35 +0200

gap (4r8p3-2) unstable; urgency=low

  * New patches to fix test suite errors:
    - fix-test-dir: disable tests that rely on $HOME which is not available
      in buildd.
    - fix-pperm: fix QuoPPerm22 on bigendian systems.
    - fix-MY_CLOCK: disable use of CLOCK_THREAD_CPUTIME_ID on non-linux
      systems.

 -- Bill Allombert <ballombe@debian.org>  Fri, 15 Apr 2016 21:36:10 +0200

gap (4r8p3-1) unstable; urgency=low

  * New upstream release. Closes: #819467
  * patches:
    - fix-testinstall.g: fix tests not to require gap-gdat
    - fix-convert.pl: updated
    - gac-object: added: add missing profile.o
    - convert.pl-repro: added. Allow reproducible build by setting
      GAP_CONVERT_DATE or SOURCE_DATE_EPOCH. We recommend to set
      GAP_CONVERT_DATE to the date in the upstream manual to reduce
      differences.  Closes: #819730, #820745. Thanks Jerome Benoit.
    - gap-version-repro: added. Make gap_version.h reproductible.
  * sysinfo.gap: 
    - Set GAParch to $DEB_HOST_MULTIARCH-gcc.
    - Add symlink sysinfo.gap-debian -> sysinfo.gap. Closes: #736398
  * debian/control:
    - Bump Standards-Version to 3.9.7.
  * debian/doc/gap2deb:
    - watch: add opts=pasv
  * debian/doc/gap.1:
    - update manpage
  * debian/doc/gap-policy.sgml:
    - Document GAP_CONVERT_DATE and convert.pl.
  * debian/rules: 
    - Set DEB_HOST_MULTIARCH with dpkg-architecture.
    - Set SOURCE_DATE_EPOCH.
    - Make sure manualindex is executable
    - add /usr/include/gap/config.h indirection.
      Closes: #819985. Thanks Julien Cristau

 -- Bill Allombert <ballombe@debian.org>  Tue, 12 Apr 2016 13:32:23 +0200

gap (4r7p9-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r7p9 is identical to gap-gdat 4r7p8.
  * debian/doc/Makefile: use gzip --no-name

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Dec 2015 19:43:27 +0100

gap (4r7p8-1) unstable; urgency=low

  * New upstream release
  * new patch:
    - fix-testinstall.g: disable tests that require gap-gdat to be available
  * debian/rules: run the test "tst/testinstall.g"
  * debian/watch: add opts=pasv

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Jun 2015 18:41:38 +0200

gap (4r7p7-3) unstable; urgency=low

  * patches:
    - fix-convert.pl: update for gapdoc -> GAPDoc change
    - doc-makefile: use gzip --no-name
  * debian/doc/gap2deb:
    - adds support for multiple documents and tests.

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2015 13:52:00 +0200

gap (4r7p7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules, debian/doc/gap2deb:
    - Build with gap-gapdoc 1.5.1-2.
  * debian/control:
    - Bump Standards-Version to 3.9.6.

 -- Bill Allombert <ballombe@debian.org>  Thu, 30 Apr 2015 22:22:32 +0200

gap (4r7p7-1) experimental; urgency=low

  * New upstream release. Closes: #778986
    + Note that gap-gdat 4r7p7 is identical to gap-gdat 4r7p3.

 -- Bill Allombert <ballombe@debian.org>  Sat, 28 Feb 2015 18:07:55 +0100

gap (4r7p5-2) unstable; urgency=low

  * gap-core.triggers: use interest-noawait. Thanks Guillem Jover.
    Closes: #772869

 -- Bill Allombert <ballombe@debian.org>  Sun, 14 Dec 2014 20:35:04 +0100

gap (4r7p5-1) unstable; urgency=low

  * New upstream release
   + Note that gap-gdat 4r7p5 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - gac-itanium: removed
    - gap-fix-alignment: removed
  * New patches added:
   - fix-basecc: force GAP to use gcc as the compiler name
  * debian/control, debian/doc/gap2deb:
    - Use improved Description from upstream. Closes: #637357 
  * debian/rules
    - Add -Wl,-z,relro to LDFLAGS

 -- Bill Allombert <ballombe@debian.org>  Thu, 03 Jul 2014 19:04:26 +0200

gap (4r7p4-1) unstable; urgency=low

  * New upstream release.
   + Note that gap-gdat 4r7p4 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - manualindex-sh: removed
    - update-convert.pl: removed
    - configure-fpic: removed
  * New patches added:
   - gap-fix-alignment: upstream patch to fix alignment issues on sparc.
   - fix-compressed-six-files: read compressed six files correctly.
   - upstream-env-tmpdir from Jerome Benoit: Honour TMPDIR. Closes: #733672

 -- Bill Allombert <ballombe@debian.org>  Fri, 28 Feb 2014 18:26:16 +0100

gap (4r7p2-1) unstable; urgency=low

  * New upstream release:
   + Patches applied upstream:
     - mips-macfloat: removed
     - hurd-task_self: removed
     - configure-abi: removed
     - configure-fpic: updated
     - configure-ncurses: removed
     - gac-object: removed
     - gac-o: removed
  * New patches added:
    - gac-itanium: Fix gac on ia64
    - manualindex-sh: add /bin/sh to doc/manualindex-sh
    - program-path: add bin to pkg installation path.
    - update-convert.pl: upstream patch to update convert.pl for current doc.
  * debian/doc:
    + gap2deb: script to generate debian directory from PackageInfo.g scripts
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - gap-dev: Add Depends on libgmp-dev. Closes: #734448. 
      Thanks Jérome Benoit.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Feb 2014 14:23:11 +0100

gap (4r6p5-3) unstable; urgency=low

  * new patch:
     - mips-macfloat: added: workaround for an alignement issue on mips(el).
  * debian/rules:
   - build gap-dev object files with -fPIC to be compatible with use in shared
     libraries.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Sep 2013 15:00:06 +0200

gap (4r6p5-2) unstable; urgency=low

  * debian/copyright: Bump version
  * patches:
     - configure: renamed to configure-gapdir
     - configure-abi: do not pass -m to gcc (fix FTBFS on ia64, mips and arm).
     - hurd-task_self: use mach_task_self instead of task_self on GNU/hurd.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Sep 2013 22:32:50 +0200

gap (4r6p5-1) unstable; urgency=low

  * New upstream release. Closes: #677668.
    + Fix crashes while displaying large character tables. Closes: #605269.
    + debian/tarball, debian/README.source: update for new upstream tarball
    + debian/watch: added, for new upstream tarball
    + debian/rules: 
      - no need to add -fno-strict-aliasing to CFLAGS
  * Move to new source format 3.0 (quilt). Patches applied:
     - config-sub-guess: use autotools-dev config.* version
     - configure: fix path in configure
     - doc-makefile: add Makefile for clean/install
     - gac-object: fix OBJECTS variable in gac script
     - gac: update path in gac script
     - configure-fpic: use -fPIC instead of -fpic
     - configure-ncurses: do not require ncurses to link readline
  * debian/control:
    - Build-Depends on libgmp-dev and gap-gapdoc
    - gap-libs now depends on gap-gapdoc
    - Bump Standards-Version to 3.9.4.
  * debian/gap-core.triggers, debian/gap-core.postinst:
    - Fix to handle compressed workspaces
  * Move to debhelper 5
  * debian/rules:
    - use dh_prep instead of dh_clean -k

 -- Bill Allombert <ballombe@debian.org>  Sun, 08 Sep 2013 11:44:42 +0200

gap (4r4p12-2) unstable; urgency=low

  * debian/rules: 
    - add -fno-strict-aliasing to CFLAGS to avoid issues with newer gcc.
  * src/sysfiles.c: 
    - Prefer termios.h over sgtty.h. This fix a build failure on kfreebsd.

 -- Bill Allombert <ballombe@debian.org>  Thu, 25 Nov 2010 11:07:30 +0100

gap (4r4p12-1) unstable; urgency=low

  * New upstream release. Closes: #510823.
    - Better support for ia64 architecture.
  * debian/rules:
    - No more build with -O0 on ia64.
  * Move doc-base menu entries to Science/Mathematics. Closes: #458543.
    Thanks Marco Rodrigues.
  * debian/README.Debian: remove paragraph about upgrade from Sarge.
  * debian/gap-core.links:
    - Add symlink /usr/share/gap/sysinfo.gap -> /usr/lib/gap/sysinfo.gap
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Move Homepage field from description to the source section.
  * debian/tarball:
    - Extract gap and tomlib versions from files in the tarballs.
  * debian/README.source: (added)
    - Document how to generate the Debian tarballs from the upstream ones.
  * debian/gap-core.triggers, debian/gap-core.postinst
    - Set up a trigger to rebuild the system GAP workspace if it exists,
      when Debian GAP packages are updated.
  * debian/doc/update-gap-workspace.1, debian/doc/gap-policy.sgml
    - Document that the system GAP workspace is automatically updated.

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Feb 2009 10:35:52 +0100

gap (4r4p10-2) unstable; urgency=low

  * Change make_doc to use #!/bin/bash to allow building with 
    /bin/sh->/bin/dash. Closes: #459064.
  * debian/copyright:
    - convert to UTF-8
  * debian/control:
    - bump Standards-Version to 3.7.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2008 11:29:01 +0100

gap (4r4p10-1) unstable; urgency=low

  * New upstream release
  * Change debian/tarball script to include tools tarball in source.
  * Update menu entry section to Applications/Science/Mathematics.
  * debian/control:
    - Build-Depends on texlive-base instead of tetex-*.
    - Use ${binary:Version} instead ${Source-Version}

 -- Bill Allombert <ballombe@debian.org>  Thu, 22 Nov 2007 18:37:55 +0100

gap (4r4p9-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Nov 2006 15:49:23 +0100

gap (4r4p8-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Versions to 3.7.2
  * debian/control: 
     - Use ${source:Version} instead ${Source-Version} to allow binNMU.
     - Build-Depends on dpkg-dev (>= 1.13.19)
  * Fix whatis entries of gap(1) and update-gap-workspace(1).
  * Do not hard-code path to mrabbrev, see #359684. Thanks Frank Küster

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Oct 2006 21:39:57 +0200

gap (4r4p7-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Change -X\\.pdf to -X.pdf since dh_install was fixed.
  * regenerate GAP manpage.

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Mar 2006 13:01:43 +0100

gap (4r4p6-1) unstable; urgency=low

  * New upstream release
  * sysinfo.gap: moved to gap-core
  * debian/control: gap-core replaces gap-dev sysinfo.gap file.
  * debian/README.Debian: document that some GAP packages require 
    gap-dev to build.

 -- Bill Allombert <ballombe@debian.org>  Tue, 18 Oct 2005 08:41:30 +0200

gap (4r4p5-1) unstable; urgency=low

  * New upstream release
    - This release includes lib/colorprompt.g by Frank Luebeck.
  * Update README.Debian to reflect the new instructions to set up 
    colors in gap.
  * cnf/gac.in: Remove spurious final rmdir (sigh).
  * Tighten dependencies to avoid differents parts of GAP getting 
    out of sync with each others.
  * Bump Standard-Versions to 3.6.2
  * Add icon to menu entry.

 -- Bill Allombert <ballombe@debian.org>  Fri,  1 Jul 2005 16:50:34 +0200

gap (4r4p4-1) unstable; urgency=low

  * New upstream release
  * Remove obsolete watch file.
  * Fix sections of doc-base files.
  * GAP packaging policy: Recommends to compress large datasets. 
  * README.Debian: Add sections "Browsing GAP Documentation", "Large GAP
    libraries are compressed" and "Supporting GAP".
  * Fix update-gap-workspace scripts (use gap -R).

 -- Bill Allombert <ballombe@debian.org>  Wed, 12 Jan 2005 12:09:35 +0100

gap (4r4p3-2) unstable; urgency=medium

  * gap-libs:
    + Add an empty /usr/share/gap/pkg directory. GAP would fail to 
      start without one (if no gap-pkg-* are installed).
    + Add lib/colorprompt.g by Frank Luebeck.

 -- Bill Allombert <ballombe@debian.org>  Sat, 31 Jul 2004 09:48:45 +0200

gap (4r4p3-1) unstable; urgency=low

  * New upstream release
  * Add script update-gap-workspace to build a GAP workspace to start
    GAP faster. Please read the manpage!
  * Add debian/tarball script to split upstream tarballs.
  * gac script patch was merged upstream. Thanks the GAP team.
  * debian/control:
    + Use Homepage instead of Web page in long description.
    + Bump Standard-Version to 3.6.1.0.
    + gap now Suggests: gap-table-of-marks.
  * Document update-gap-workspace in README.Debian
  * Change gap script to automatically load GAP workspace if available.
  * gap-core.menu: quote fields properly.
  * Add the gap packaging policy document to gap-doc.
  * Run a minimal test suite at build time.
  * debian/rules: call make compile, not make to avoid strip.

 -- Bill Allombert <ballombe@debian.org>  Tue, 18 May 2004 17:50:15 +0200

gap (4r3n5-1) unstable; urgency=low

  * New upstream bugfix
  * gap-doc, gap-dev: Fix section.
  * Fix gap-characters-tables --> gap-character-tables typo in Suggests:

 -- Bill Allombert <ballombe@debian.org>  Tue, 24 Jun 2003 16:05:27 +0200

gap (4r3n4-2) unstable; urgency=low

  * gap-doc: Install properly for use with SetHelpViewer and ctbllib.
  * gap-libs: Add pkg/ALLPKG for autoloading of gap packages.
  * control: Add Web page to description, remove false readline reference.
  * Simplify/fix gap script. Thanks Werner Nickel!
  * Bump Standard-Version to 3.5.10.0.
  * control: Replaces gap, not gap4.
  * control: gap Suggests gap-character-tables.
  * gap.1: Add reference to documentation of options.
  * gap-libs: Add support for compressed DVI files.
  * gap-core: Fix problems when writing files.

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 May 2003 00:03:12 +0200

gap (4r3n4-1) unstable; urgency=low

  * Initial Release of GAP first GPL version, 4r3, Bugfix 4.
  * Changelog for the old non DSFG-free versions are in changelog-3.4.Debian
    and changelog-4.2.Debian.
  * New maintainer. Closes: #103406
  * New upstream version: Closes: #155648, #155652.
  * Fix typo in description. Closes: #124660. Thanks Matt Zimmerman.
  * gap-dev contains /usr/lib/gap/src/config.h Closes: #119851
  * Include files are in /usr/include/gap Closes: #119850
  * Closes: #121846 which is obsolete due to package renaming.

 -- Bill Allombert <ballombe@debian.org>  Tue, 15 Apr 2003 22:13:35 +0200
